# -*- encoding: utf-8 -*-
# stub: open_graph_reader 0.6.1 ruby lib

Gem::Specification.new do |s|
  s.name = "open_graph_reader"
  s.version = "0.6.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Jonne Ha\u{df}"]
  s.date = "2016-01-14"
  s.description = "A library to fetch and parse OpenGraph properties from an URL or a given string."
  s.email = ["me@jhass.eu"]
  s.files = [".gitmodules", ".rspec", ".yardopts", "LICENSE.txt", "README.md", "lib/open_graph_reader.rb", "lib/open_graph_reader/base.rb", "lib/open_graph_reader/builder.rb", "lib/open_graph_reader/configuration.rb", "lib/open_graph_reader/definitions.rb", "lib/open_graph_reader/fetcher.rb", "lib/open_graph_reader/object.rb", "lib/open_graph_reader/object/dsl.rb", "lib/open_graph_reader/object/dsl/types.rb", "lib/open_graph_reader/object/registry.rb", "lib/open_graph_reader/parser.rb", "lib/open_graph_reader/parser/graph.rb", "lib/open_graph_reader/version.rb", "spec/fixtures/examples/apple-touch-icon-precomposed.png", "spec/fixtures/examples/apple-touch-icon.png", "spec/fixtures/examples/article-offset.html", "spec/fixtures/examples/article-utc.html", "spec/fixtures/examples/article.html", "spec/fixtures/examples/audio-array.html", "spec/fixtures/examples/audio-url.html", "spec/fixtures/examples/audio.html", "spec/fixtures/examples/book-isbn10.html", "spec/fixtures/examples/book.html", "spec/fixtures/examples/canadian.html", "spec/fixtures/examples/error.html", "spec/fixtures/examples/errors/article-date.html", "spec/fixtures/examples/errors/book-author.html", "spec/fixtures/examples/errors/book.html", "spec/fixtures/examples/errors/gender.html", "spec/fixtures/examples/errors/geo.html", "spec/fixtures/examples/errors/type.html", "spec/fixtures/examples/errors/video-duration.html", "spec/fixtures/examples/favicon.ico", "spec/fixtures/examples/filters/xss-image.html", "spec/fixtures/examples/image-array.html", "spec/fixtures/examples/image-toosmall.html", "spec/fixtures/examples/image-url.html", "spec/fixtures/examples/image.html", "spec/fixtures/examples/index.html", "spec/fixtures/examples/media/audio/1khz.mp3", "spec/fixtures/examples/media/audio/250hz.mp3", "spec/fixtures/examples/media/images/1.png", "spec/fixtures/examples/media/images/50.png", "spec/fixtures/examples/media/images/75.png", "spec/fixtures/examples/media/images/icon.png", "spec/fixtures/examples/media/images/logo.png", "spec/fixtures/examples/media/images/train.jpg", "spec/fixtures/examples/media/video/train.flv", "spec/fixtures/examples/media/video/train.mp4", "spec/fixtures/examples/media/video/train.webm", "spec/fixtures/examples/min.html", "spec/fixtures/examples/nomedia.html", "spec/fixtures/examples/plain.html", "spec/fixtures/examples/profile.html", "spec/fixtures/examples/required.html", "spec/fixtures/examples/robots.txt", "spec/fixtures/examples/sitemap.xml", "spec/fixtures/examples/video-array.html", "spec/fixtures/examples/video-movie.html", "spec/fixtures/examples/video.html", "spec/fixtures/real_world/image_path.html", "spec/fixtures/real_world/image_path_2.html", "spec/fixtures/real_world/invalid_article_author.html", "spec/fixtures/real_world/invalid_datetime.html", "spec/fixtures/real_world/missing_content.html", "spec/fixtures/real_world/missing_image.html", "spec/fixtures/real_world/missing_title.html", "spec/fixtures/real_world/missing_url.html", "spec/fixtures/real_world/mixed_case_properties.html", "spec/fixtures/real_world/mixed_case_type.html", "spec/fixtures/real_world/not_a_reference.html", "spec/fixtures/real_world/undefined_property.html", "spec/fixtures/real_world/undefined_property_2.html", "spec/fixtures/real_world/unknown_namespace.html", "spec/fixtures/real_world/unknown_type.html", "spec/fixtures/real_world/url_path.html", "spec/integration/invalid_examples_spec.rb", "spec/integration/real_world_spec.rb", "spec/integration/valid_examples_spec.rb", "spec/open_graph_reader_spec.rb", "spec/spec_helper.rb"]
  s.homepage = "https://github.com/jhass/open_graph_reader"
  s.licenses = ["MIT"]
  s.rubygems_version = "2.5.1"
  s.summary = "OpenGraph protocol parser"
  s.test_files = ["spec/fixtures/examples/apple-touch-icon-precomposed.png", "spec/fixtures/examples/apple-touch-icon.png", "spec/fixtures/examples/article-offset.html", "spec/fixtures/examples/article-utc.html", "spec/fixtures/examples/article.html", "spec/fixtures/examples/audio-array.html", "spec/fixtures/examples/audio-url.html", "spec/fixtures/examples/audio.html", "spec/fixtures/examples/book-isbn10.html", "spec/fixtures/examples/book.html", "spec/fixtures/examples/canadian.html", "spec/fixtures/examples/error.html", "spec/fixtures/examples/errors/article-date.html", "spec/fixtures/examples/errors/book-author.html", "spec/fixtures/examples/errors/book.html", "spec/fixtures/examples/errors/gender.html", "spec/fixtures/examples/errors/geo.html", "spec/fixtures/examples/errors/type.html", "spec/fixtures/examples/errors/video-duration.html", "spec/fixtures/examples/favicon.ico", "spec/fixtures/examples/filters/xss-image.html", "spec/fixtures/examples/image-array.html", "spec/fixtures/examples/image-toosmall.html", "spec/fixtures/examples/image-url.html", "spec/fixtures/examples/image.html", "spec/fixtures/examples/index.html", "spec/fixtures/examples/media/audio/1khz.mp3", "spec/fixtures/examples/media/audio/250hz.mp3", "spec/fixtures/examples/media/images/1.png", "spec/fixtures/examples/media/images/50.png", "spec/fixtures/examples/media/images/75.png", "spec/fixtures/examples/media/images/icon.png", "spec/fixtures/examples/media/images/logo.png", "spec/fixtures/examples/media/images/train.jpg", "spec/fixtures/examples/media/video/train.flv", "spec/fixtures/examples/media/video/train.mp4", "spec/fixtures/examples/media/video/train.webm", "spec/fixtures/examples/min.html", "spec/fixtures/examples/nomedia.html", "spec/fixtures/examples/plain.html", "spec/fixtures/examples/profile.html", "spec/fixtures/examples/required.html", "spec/fixtures/examples/robots.txt", "spec/fixtures/examples/sitemap.xml", "spec/fixtures/examples/video-array.html", "spec/fixtures/examples/video-movie.html", "spec/fixtures/examples/video.html", "spec/fixtures/real_world/image_path.html", "spec/fixtures/real_world/image_path_2.html", "spec/fixtures/real_world/invalid_article_author.html", "spec/fixtures/real_world/invalid_datetime.html", "spec/fixtures/real_world/missing_content.html", "spec/fixtures/real_world/missing_image.html", "spec/fixtures/real_world/missing_title.html", "spec/fixtures/real_world/missing_url.html", "spec/fixtures/real_world/mixed_case_properties.html", "spec/fixtures/real_world/mixed_case_type.html", "spec/fixtures/real_world/not_a_reference.html", "spec/fixtures/real_world/undefined_property.html", "spec/fixtures/real_world/undefined_property_2.html", "spec/fixtures/real_world/unknown_namespace.html", "spec/fixtures/real_world/unknown_type.html", "spec/fixtures/real_world/url_path.html", "spec/integration/invalid_examples_spec.rb", "spec/integration/real_world_spec.rb", "spec/integration/valid_examples_spec.rb", "spec/open_graph_reader_spec.rb", "spec/spec_helper.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<nokogiri>, ["~> 1.6"])
      s.add_runtime_dependency(%q<faraday>, ["~> 0.9.0"])
      s.add_development_dependency(%q<bundler>, ["~> 1.7"])
      s.add_development_dependency(%q<rake>, ["~> 10.0"])
      s.add_development_dependency(%q<rspec>, ["~> 3.1"])
      s.add_development_dependency(%q<webmock>, ["~> 1.20"])
    else
      s.add_dependency(%q<nokogiri>, ["~> 1.6"])
      s.add_dependency(%q<faraday>, ["~> 0.9.0"])
      s.add_dependency(%q<bundler>, ["~> 1.7"])
      s.add_dependency(%q<rake>, ["~> 10.0"])
      s.add_dependency(%q<rspec>, ["~> 3.1"])
      s.add_dependency(%q<webmock>, ["~> 1.20"])
    end
  else
    s.add_dependency(%q<nokogiri>, ["~> 1.6"])
    s.add_dependency(%q<faraday>, ["~> 0.9.0"])
    s.add_dependency(%q<bundler>, ["~> 1.7"])
    s.add_dependency(%q<rake>, ["~> 10.0"])
    s.add_dependency(%q<rspec>, ["~> 3.1"])
    s.add_dependency(%q<webmock>, ["~> 1.20"])
  end
end
